<?php
/*
Template Name: Classic Portfolio Four Columns
*/
?>
<?php get_header(); ?>
<?php $themePath = get_template_directory_uri(); ?>
<div id="pagewrapper">
    <div id="content">
    	<div id="portfoliotop">
		<?php if (have_posts()) :  while (have_posts()) : the_post(); ?>
            <div class="post">
                <div class="posttitle"><h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3></div>
                <div class="control-bg">
                    <ul>
                        <li>Categories: </li>
                        <?php $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1; ?>
                        <li><a title="Show All" href="<?php echo add_query_arg(array ( 'page' => $paged, 'skill-type' => ''));?>">All</a></li>
                        <?php
                        if (!empty($xcludecat)) {$categories=  get_categories('taxonomy=skill-type&title_li=&exclude='.$xcludecat);}
                        else {$categories=  get_categories('taxonomy=skill-type&title_li=');}
                         
                        foreach ($categories as $category){ ?>
                        <li><a href="<?php echo add_query_arg(array ( 'page' => $paged, 'skill-type' => $category->category_nicename));?>" title="Filter by <?php echo $category->name;?>"><?php echo $category->name;?></a></li>
                        <?php }?>
                    </ul>
                </div>
            </div>
        <?php endwhile; else : endif; ?>
        </div>
        <div id="portfolio" class="classic">
            <?php 
				$itemlimit 	=	get_option_tree ('portfolioclassiccount', '-1');
				
				 $args = array(
					'post_type' => 'portfolio',
					'orderby'=>'menu_order',
					'order'     => 'ASC',
					'posts_per_page' => $itemlimit,
					'paged' => $paged,
					'skill-type' => get_query_var('skill-type'),
					'tax_query' => array(
					array(
							'taxonomy' => 'skill-type',
							'field' => 'id',
							'terms' => $xcludecat,
							'operator' => 'NOT IN',
							)
						) // end of tax_query
					);
	
			 	$query = new WP_Query( $args ); ?>
            <ul id="columns" class="four-column">
                <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post(); 						
							$terms = get_the_terms( get_the_ID(), 'type' );  ?> 
                <li>
                    <div id="post-<?php the_ID(); ?>">	
                        <?php
                        if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) { ?>
                        <div class="post-thumb">
                        	<span class="image_frame" style="height:120px">
                            <?php $image_id = get_post_thumbnail_id(); ?> 
                            <?php $image_url = wp_get_attachment_image_src($image_id,'full'); $image_url = $image_url[0]; ?>
                            <?php $video = get_post_meta($post->ID, 'gallery', true); ?>
                            <a href="<?php if ($video) { echo $video; } else {echo $image_url;} ?>" rel="prettyPhoto[gallery]"><?php the_post_thumbnail('portfolio-small', array('class' => 'portfolio')); ?></a>
                            </span>
                        </div>
                        <?php } ?>
                        <div class="entry-content">            
                        <h3><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                            <?php the_excerpt(); ?>
                            <a href="<?php the_permalink(); ?>" class="more-link">Read More →</a>  
                        </div>
                    </div>
                </li>
                <?php endwhile; endif; ?>
            </ul>
             <?php theme_pagination($query->max_num_pages); ?>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
<?php get_footer(); ?>