<?php
require_once TEMPLATEPATH.'/inc/admin/functions.load.php';
$verse_menu = new ControlPanel();

class ControlPanel {
	var $default_settings;
	function ControlPanel() {
		add_action('admin_menu', array(&$this, 'this_theme_menu'));
		add_action('admin_print_styles', array( $this, 'admin_head' ) );
        if (!is_array(get_option('verse_theme')))
            add_option('verse_theme', $this->default_settings);
        
        $this->options = get_option('verse_theme');
	}

    function this_theme_menu() {
		add_menu_page('Theme Options', 'Verse', 'edit_pages', 'theme-options', array(&$this, 'verse_panel'), get_template_directory_uri().'/inc/admin/images/thememenuicon.png');
		add_submenu_page('theme-options', 'Theme Options', 'Theme Options', 'edit_pages',  'theme-options', array(&$this, 'verse_panel'));
		add_submenu_page('theme-options', 'Documentation', 'Documentation', 'edit_pages',  'documentation', array(&$this, 'verse_panel'));
	}
    function loadpage() {
		require_once TEMPLATEPATH.'/inc/admin/'. $_GET['page'] .'.php';
	}
	function admin_head() {
		// enqueue styles
		wp_enqueue_style( 'option-tree-style', get_template_directory_uri().'/inc/admin/style.css', false, '1.0', 'screen');
		
		// enqueue scripts
		add_thickbox();
		wp_enqueue_script( 'jquery-color-picker', get_template_directory_uri().'/inc/admin/js/jquery.color.picker.js', array('jquery'), '1.0' );
		wp_enqueue_script( 'jquery-option-tree', get_template_directory_uri().'/inc/admin/js/admin.js', array('jquery','media-upload','thickbox','jquery-ui-core','jquery-ui-tabs','jquery-color-picker'), '1.0' );
		
		// remove GD star rating conflicts
		wp_deregister_style( 'gdsr-jquery-ui-core' );
		wp_deregister_style( 'gdsr-jquery-ui-theme' );
	  }
	function verse_panel() {
		
		require_once TEMPLATEPATH.'/inc/admin/'. $_GET['page'] .'.php';

	}
    function theme_options_save() {
			
		$this->options["slidertype"] = $_POST['slidertype'];
		$this->options["singleslide"] = $_POST['singleslide'];
		
		$this->options["slidercount"] = $_POST['slidercount'];
		$this->options["sliderspeed"] = $_POST['sliderspeed'];
		$this->options["sliderdelay"] = $_POST['sliderdelay'];
		$this->options["slidereffect"] = $_POST['slidereffect'];
		$this->options["slideradvance"] = $_POST['slideradvance'];
		
		$this->options["kwicksno"] = $_POST['kwicksno'];	
		$this->options["kwicksmaxwidth"] = $_POST['kwicksmaxwidth'];
		$this->options["kwicksspeed"] = $_POST['kwicksspeed'];
		$this->options["kwickscaptionspeed"] = $_POST['kwickscaptionspeed'];
		
		$this->options["cyclecount"] = $_POST['cyclecount'];
		$this->options["cyclespeed"] = $_POST['cyclespeed'];
		$this->options["cycledelay"] = $_POST['cycledelay'];
		$this->options["cycleeffect"] = $_POST['cycleeffect'];
		
		$this->options["logo"] = $_POST['logo'];
		$this->options["titlefont"] = $_POST['titlefont'];	
		$this->options["bodyfont"] = $_POST['bodyfont'];
		$this->options["menufont"] = $_POST['menufont'];
		$this->options["customcss"] = stripslashes($_POST['customcss']);
		
		$this->options["generallink"] = $_POST['generallink'];
		$this->options["generallinkhover"] = $_POST['generallinkhover'];
		$this->options["sidebarlink"] = $_POST['sidebarlink'];
		$this->options["sidebarlinkhover"] = $_POST['sidebarlinkhover'];
		$this->options["footerlink"] = $_POST['footerlink'];
		$this->options["footerlinkhover"] = $_POST['footerlinkhover'];
		$this->options["menulink"] = $_POST['menulink'];
		$this->options["menulinkhover"] = $_POST['menulinkhover'];
		
		$this->options["bodybg"] = $_POST['bodybg'];
		
		$this->options["portfolioclassiccount"] = $_POST['portfolioclassiccount'];
		$this->options["portfoliorelated"] = $_POST['portfoliorelated'];
		$this->options["portfoliorelatedtitle"] = $_POST['portfoliorelatedtitle'];
		
		$this->options["postview"] = $_POST['postview'];
		$this->options["tagcat"] = $_POST['tagcat'];
		$this->options["breadcrumb"] = $_POST['breadcrumb'];
		
		$this->options["deviantart"] = $_POST['deviantart'];
		$this->options["facebook"] = $_POST['facebook'];
		$this->options["flickr"] = $_POST['flickr'];
		$this->options["dribbble"] = $_POST['dribbble'];
		$this->options["forrst"] = $_POST['forrst'];
		$this->options["linkedin"] = $_POST['linkedin'];
		$this->options["vimeo"] = $_POST['vimeo'];
		$this->options["twitter"] = $_POST['twitter'];
		
		$this->options["abouttheauthor"] = $_POST['abouttheauthor'];
		$this->options["relatedpopular"] = $_POST['relatedpopular'];
		$this->options["relatedpopularno"] = $_POST['relatedpopularno'];
		
		$this->options["footer"] = $_POST['footer'];
		$this->options["subfooter"] = $_POST['subfooter'];
		$this->options["copyright"] = stripslashes($_POST['copyright']);
		$this->options["ga"] = stripslashes($_POST['ga']);
		
		$this->options["enable_gmap"] = $_POST['enable_gmap'];
		
		update_option('verse_theme', $this->options);
	
		die();  
	}
}
add_action('wp_ajax_verse_options_save', array(&$verse_menu, 'theme_options_save'));
?>