<?php
// Related Posts
function related_posts($args) {
	global $post, $wpdb;
	$backup = $post;  // backup the current object
	$tags = wp_get_post_tags($post->ID);
	$tagIDs = array();
	if ($tags) {
	  $tagcount = count($tags);
	  for ($i = 0; $i < $tagcount; $i++) {
	    $tagIDs[$i] = $tags[$i]->term_id;
	  }
	  $arguments=array(
	    'tag__in' => $tagIDs,
	    'post__not_in' => array($post->ID),
	    'showposts'=> $args,
	    'caller_get_posts'=>1
	  );
	  $my_query = new WP_Query($arguments);
	  if( $my_query->have_posts() ) { $related_post_found = true; ?>
		<h3><?php _e("Related Posts", "verse"); ?></h3>
			<ul>		
	    <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
				<li>
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">
				<?php	if (has_post_thumbnail() ) {
                the_post_thumbnail('blog-related');
                } else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/images/small-pic.png" alt="No Post Image for <?php the_title(); ?>" />
				<?php }	?>
                </a>
                <p><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br />
						<span><?php the_date(); ?></span></p>
			</li>				
	    <?php endwhile; ?>
			</ul>		
	  <?php }
	}
	$post = $backup;  // copy it back
	
	//show recent posts if no related found
	if(!$related_post_found){
		$posts = get_posts('numberposts='.$args.'&offset=0');
		if($posts){ ?>
		<h3><?php _e("Recent Posts", "verse"); ?></h3>
		<ul>
			<?php foreach($posts as $post){
					$post_title = stripslashes($post->post_title);
					$permalink = get_permalink($post->ID);	
					setup_postdata($post);
			?>
			<li>
				<a href="<?php echo $permalink; ?>" rel="bookmark" title="<?php echo $post_title; ?>">
				<?php	if ( has_post_thumbnail() ) {
                the_post_thumbnail('blog-related');
                } else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/images/small-pic.png" alt="No Post Image for <?php the_title(); ?>" />
				<?php }	?>
                </a>
                <p><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br />
				<span><?php the_date(); ?></span></p>
			</li>
			<?php } ?>
		</ul>
		<?php }
	}
	wp_reset_query();
}

function popular_posts($args) {
	global $post, $wpdb;
	$backup = $post;
	$pop = new WP_Query();
    $pop->query('showposts='.$args.'&orderby=comment_count');
?>
	<h3><?php _e("Popular Posts", "verse"); ?></h3>
	<ul>		
		<?php while($pop->have_posts()) : $pop->the_post(); ?>
					<li>
                    	<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
						<?php	if (has_post_thumbnail() == true) {
							the_post_thumbnail('blog-related');
							}  else {?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/small-pic.png" alt="No Post Image for <?php the_title(); ?>" />
                            <?php } ?>
                        </a>
						<p><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br />
						<span><?php the_date(); ?></span></p>
					</li>
		<?php endwhile; ?>
		</ul>
        
        <?php 
		$post = $backup;
		wp_reset_query();
}

// Related Posts for portfolio
function get_posts_related_by_taxonomy($post_id,$taxonomy,$args=array()) {
  $query = new WP_Query();
  $terms = wp_get_object_terms($post_id,$taxonomy);
  if (count($terms)) {
    // Assumes only one term for per post in this taxonomy
    $post_ids = get_objects_in_term($terms[0]->term_id,$taxonomy);
    $post = get_post($post_id);
    $args = wp_parse_args($args,array(
      'post_type' => $post->post_type, // The assumes the post types match
      'post__in' => $post_ids,
      'post__not_in' => $post->ID,
      'taxonomy' => $taxonomy,
      'term' => $terms[0]->slug,
	  'showposts' => 4
    ));
    $query = new WP_Query($args);
  }
  return $query;
}

?>