<?php
/*
Template Name: Sortable Portfolio Two Columns
*/
?>
<?php get_header(); ?>
<?php $themePath = get_template_directory_uri(); ?>
<div id="pagewrapper">
    <div id="content">
    	<div id="portfoliotop">
		<?php if (have_posts()) :  while (have_posts()) : the_post(); ?>
            <div class="post">
                <div class="posttitle"><h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3></div>
                <div class="control-bg">
                    <ul id="portfolio-control">
                    <li>Sort: </li>
                    <li class="segment-1"><a class="active all" data-value="all" href="#">All</a></li>
                    <?php wp_list_categories(array('title_li' => '', 'taxonomy' => 'skill-type', 'walker' => new Walker_Category_Filter())); ?>
                    </ul>
                </div>
            </div>
        <?php endwhile; else : endif; ?>
        </div>
        <div id="portfolio">
            <?php $query = new WP_Query(); $query->query('post_type=portfolio&posts_per_page=-1'); ?>
            <ul id="columns" class="two-column">
                <?php $count = 1; ?>
                <?php if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();
                      $terms = get_the_terms( get_the_ID(), 'skill-type' );  ?> 
                <li data-id="id-<?php echo $count; ?>" class="<?php foreach ($terms as $term) { echo strtolower(preg_replace('/\s+/', '-', $term->name)). ' '; } ?>">
                    <div id="post-<?php the_ID(); ?>">	
                        <?php
                        if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) { ?>
                        <div class="post-thumb">
                        	<span class="image_frame">
                            <?php $image_id = get_post_thumbnail_id(); ?> 
                            <?php $image_url = wp_get_attachment_image_src($image_id,'full'); $image_url = $image_url[0]; ?>
                            <?php $video = get_post_meta($post->ID, 'gallery', true); ?>
                            <a href="<?php if ($video) { echo $video; } else {echo $image_url;} ?>" rel="prettyPhoto[gallery]"><?php the_post_thumbnail('portfolio-large', array('class' => 'portfolio')); ?></a>
                            </span>
                        </div>
                        <?php } ?>
                        <div class="entry-content">            
                        <h3><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                            <?php the_excerpt(); ?>
                            <a href="<?php the_permalink(); ?>" class="more-link">Read More →</a>  
                        </div>
                    </div>
                </li>
                <?php $count++; ?>
                <?php endwhile; endif; ?>
            </ul>
             <?php wp_reset_query(); ?>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
<?php get_footer(); ?>